> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/projects/import-export/xlsform/wrqh-alastbyan/qyd.md).

# قيد

يُستخدم عمود constraint للتحقق من صحة إدخال المستخدم. يمنع المستخدم من المتابعة حتى تفي الإجابة بشرط تقوم بتعريفه.

إذا لم تلبِ الإجابة القيد، يتم عرض رسالة مُعرّفة في `constraint_message` للمستخدم.

## 📝 كيفية عمل القيود

قيمة السؤال ممثلة بنقطة (`.`)، والتي تعني "الإجابة الحالية." تُنشئ تعبيرًا منطقيًا باستخدام تلك القيمة.

تُستخدم القيود عادةً لـ:

* تحديد نطاقات رقمية (مثال: يجب أن يكون العمر بين 0 و120)
* طلب مطابقة تنسيقات (مثال: الرموز البريدية، البريد الإلكتروني)
* فرض تبعيات (مثال: تاريخ الانتهاء بعد تاريخ البدء)

| النوع   | الاسم             | label                   | constraint                         | constraint\_message                        |
| ------- | ----------------- | ----------------------- | ---------------------------------- | ------------------------------------------ |
| integer | age               | عمرك                    | . >= 18 and . <= 99                | يجب أن يكون العمر بين 18 و99               |
| text    | zip               | الرمز البريدي           | regex(., '^\d{5}$')                | أدخل رمزًا بريديًا مكونًا من 5 أرقام       |
| text    | البريد الإلكتروني | عنوان البريد الإلكتروني | regex(., '^\[^@]+@\[^@]+.\[^@]+$') | أدخل بريدًا إلكترونيًا صالحًا              |
| date    | end               | تاريخ الانتهاء          | . >= ${start}                      | يجب أن يكون تاريخ الانتهاء بعد تاريخ البدء |

## ☑️ استخدام النقطة (.) في constraint

النقطة `.` تمثل القيمة التي أدخلها المستخدم للسؤال الحالي. استخدمها داخل الدوال والتعابير:

* `. >= 0` — صالح إذا كانت القيمة 0 أو أكبر
* `regex(., '^\d{5}$')` — صالح إذا طابق النمط

## 🔠 إشارات المتغيرات

يمكنك استخدام `${question_name}` للإشارة إلى إجابات من أسئلة أخرى في النموذج. تأكد من أن الأسئلة المشار إليها تظهر في وقت سابق داخل النموذج.

مثال:

* `. > ${min_age}` — يضمن أن الإدخال الحالي أكبر من قيمة مُدخلة سابقًا

## 🔢 العوامل والدوال للقيود

مثلما في relevance، يمكنك استخدام:

\=, !=, >, <, >=, <= and, or, not()

| Function        | Description                      | Example                                   |
| --------------- | -------------------------------- | ----------------------------------------- |
| regex()         | يتحقق من تنسيق إدخال نصي         | `regex(., '^\d{5}$')` لرموز ZIP الأمريكية |
| string-length() | يفحص عدد الحروف                  | `string-length(.) <= 50`                  |
| selected()      | يتحقق مما إذا تم اختيار خيار     | `selected(${choices}, 'option1')`         |
| today()         | يحصل على التاريخ الحالي          | `. <= today()`                            |
| now()           | يحصل على التاريخ والوقت الحاليين | `. <= now()`                              |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/ar/projects/import-export/xlsform/wrqh-alastbyan/qyd.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
